Wireshark-dev: [Wireshark-dev] dll works with Wireshark0.99.6a but not with Wireshark0.99.7
From: "A Verma" <[email protected]>
Date: Thu, 28 Feb 2008 09:32:34 +0530
Hi,
We had a custom packet dissector plugin (dll) that worked with wireshark.
 
It works fine till version Wireshark0.99.6a but not with Wireshark0.99.7.
What could be the reason?
 
I get errors like:
1. [Malformed Packet: Protocol name xxx]
2. [Dissector Bug: Protocol name xxx: proto.c:1646: failed assertion "hfinfo->type == FT_IPv4" ]
3. Or no error is displayed but packet dissection does not happen for that protocol.As in complete output does  not get displayed.
 
I suspected the reason to be due to the differences mentioned in '5. Update "old style" plugin' of README.plugins in the doc folder.
But there is no difference as regards to this between Wireshark0.99.6a & Wireshark0.99.7.
 
Can someone pls point me to what could be a probable cause or how may I start investigating it.
 
Thanks!
 
regards,
Ash